Bug 245176 - security/i2p pkg, remove or rebuild *with* docs.
Summary: security/i2p pkg, remove or rebuild *with* docs.
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Many People
Assignee: Bernhard Froehlich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-29 23:51 UTC by Chris Watson
Modified: 2020-05-07 13:55 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Watson 2020-03-29 23:51:31 UTC
The security/i2p pkg is completely useless. It installs with zero documentation, post install message, no info on how to configure and run it, it has no man page, it gives no help when starting the service about anything, if it needs a configuration file, where a config file is located, absolutely nothing. This is the most useless pkg I think I have ever installed. It does nothing, it says nothing, it has no documentation of any kind, no error messages, save the two below. 

How did this ever get committed?? Build a man page or give some post install message on how to use this or remove it from the build. It's a complete dud and waste of CPU in the build system.

> doas pkg install i2p
Updating FreeBSD repository catalogue...
FreeBSD repository is up to date.
All repositories are up to date.
Checking integrity... done (0 conflicting)
The following 1 package(s) will be affected (of 0 checked):

New packages to be INSTALLED:
        i2p: 0.9.40

Number of packages to be installed: 1

The process will require 104 MiB more space.

Proceed with this action? [y/N]: y
[1/1] Installing i2p-0.9.40...
[1/1] Extracting i2p-0.9.40: 100%
> 

> man i2p
No manual entry for i2p
> 

> apropos i2p
apropos: nothing appropriate
>

> ls /usr/local/etc/i2p*
ls: No match.
> 

> doas service i2p start
Cannot 'start' i2p. Set i2p_enable to YES in /etc/rc.conf or use 'onestart' instead of 'start'.
> doas sysrc i2p_enable="YES"
i2p_enable:  -> YES
> doas service i2p start
/usr/local/etc/rc.d/i2p: ERROR: You have to set i2p_user to a non-root user for security reasons
> doas sysrc i2p_user="i2psucks"
i2p_user:  -> i2psucks
> doas service i2p start
i2p start
ERROR: i2p is not installed
ERROR: Please install i2p first
> What the ???!!!

This is a tire fire! Seriously.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2020-03-30 01:38:00 UTC
> How did this ever get committed?

It takes some detective work (it has been renamed at least twice) but the initial commit seems to be:

  https://svnweb.freebsd.org/ports/head/net/i2p/Makefile?view=markup&pathrev=126099

15 years 2 months is a little bit too long ago go back and assign blame.

(Yes, you are reading me as being a bit irritated by your tone.  The port is now unmaintained, which means that it won't be fixed until someone takes an interest in doing so.)
Comment 2 Chris Watson 2020-03-30 02:20:09 UTC
I'm not looking for blame, certainly not to you. I'm looking for this to be removed. I knew lioux. But that was a long time ago and also irrelevant. I'm not sure what the port did back then. The port currently has a "DOCS=YES|NO" option. So it *can* build with docs.
Not only does the pkg not build with docs, the pkg is devoid of any information. It doesn't even run properly as shown above. It's been fifteen years, and there is no way I am the only one to install this, see how broken it is, and remove it. 
Running across stuff like this is like browsing the bug database and seeing open bugs 15 years old *still* not closed. It's *frustrating*. I keep bumping into several ports that are unmaintained. UGH. Ill take a closer look at those.
Comment 3 Michael Muenz 2020-04-13 13:48:08 UTC
I'm currently looking at this port. Maybe I'll take over maintainership and add some package notes and sample configs.

I already brought it to the latest version but Makefile needs some tuning.
Comment 5 Bernhard Froehlich freebsd_committer 2020-05-07 13:55:34 UTC
Port will be in a better state as soon as PR 245656 is committed. Thanks!